/*
 * ActifNibnb.java
 *
 * Created on 30 octobre 2008, 15:14
 */

package org.cocktail.corossol.client.nib;

import java.awt.Dimension;

import javax.swing.JButton;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.ListSelectionModel;

import org.cocktail.application.palette.JPanelCocktail;
import org.cocktail.application.palette.models.ColumnData;
import org.cocktail.application.palette.models.NSMutableArrayDisplayGroup;
import org.cocktail.corossol.client.nibctrl.DocumentEditions;
import org.cocktail.corossol.client.nibctrl.JtableViewObjects;

import com.webobjects.foundation.NSMutableArray;

public class ActifNib extends JPanelCocktail {
    
    /** Creates new form ActifNibnb */
    public ActifNib() {
        initComponents();
    }

	private JtableViewObjects editionsTBV = null;
	public JtableViewObjects getEditionsTBV() {
		return editionsTBV;
	}
	public void setEditionsTBV(JtableViewObjects editionsTBV) {
		this.editionsTBV = editionsTBV;
	}

	private NSMutableArrayDisplayGroup editionsDG = new NSMutableArrayDisplayGroup();
    public NSMutableArrayDisplayGroup getEditionsDG() {
		return editionsDG;
	}
	public void setEditionsDG(NSMutableArrayDisplayGroup editionsDG) {
		this.editionsDG.setArray(editionsDG);
		getEditionsTBV().refresh();
	}

	public void initTableView() {
		NSMutableArray lesColumns = new NSMutableArray();
		lesColumns.addObject(new ColumnData("xls", 50,JLabel.CENTER, "isXls", "String"));
		lesColumns.addObject(new ColumnData("pdf", 50,JLabel.CENTER, "isPdf", "String"));
		lesColumns.addObject(new ColumnData("Description", 700,JLabel.CENTER, "description", "String"));

		setEditionsTBV(new JtableViewObjects(lesColumns, getEditionsDG(),new Dimension(100, 100), JTable.AUTO_RESIZE_NEXT_COLUMN));
		getJPanelTBV().add(getEditionsTBV());

		// multi ou mono selection dans les tbv
		getEditionsTBV().getTable().setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    }
    
	public DocumentEditions selectedDocument() {
		if (getEditionsTBV()==null || getEditionsTBV().getSelectedObjects().count()==0)
			return null;
		return (DocumentEditions)getEditionsTBV().getSelectedObjects().objectAtIndex(0);
	}
	
	public javax.swing.JPanel getJPanelTBV() {
		return jPanelTBV;
	}

	public void setJPanelTBV(javax.swing.JPanel panelTBV) {
		jPanelTBV = panelTBV;
	}

	public JButton getJButtonCocktailFermer() {
		return jButtonCocktailFermer;
	}

	public void setJButtonCocktailFermer(JButton buttonCocktailFermer) {
		jButtonCocktailFermer = buttonCocktailFermer;
	}

	public JButton getJButtonCocktailPdf() {
		return jButtonCocktailPdf;
	}

	public void setJButtonCocktailPdf(JButton buttonCocktailPdf) {
		jButtonCocktailPdf = buttonCocktailPdf;
	}

	public JButton getJButtonCocktailXls() {
		return jButtonCocktailXls;
	}

	public void setJButtonCocktailXls(JButton buttonCocktailXls) {
		jButtonCocktailXls = buttonCocktailXls;
	}

	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTextFieldCocktail8 = new org.cocktail.application.palette.JTextFieldCocktail();
        jButtonCocktailFermer = new javax.swing.JButton();
        jButtonCocktailPdf = new javax.swing.JButton();
        jButtonCocktailXls = new javax.swing.JButton();
        jPanelTBV = new javax.swing.JPanel();

        jTextFieldCocktail8.setBackground(new java.awt.Color(192, 192, 192));
        jTextFieldCocktail8.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        jTextFieldCocktail8.setEditable(false);
        jTextFieldCocktail8.setText("SUIVI DE L ACTIF");

        jButtonCocktailFermer.setText("Fermer");
        jButtonCocktailFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailFermerActionPerformed(evt);
            }
        });

        jButtonCocktailPdf.setText("Editions");
        jButtonCocktailPdf.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailPdfActionPerformed(evt);
            }
        });

        jButtonCocktailXls.setText("Export");
        jButtonCocktailXls.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCocktailXlsActionPerformed(evt);
            }
        });

        jPanelTBV.setLayout(new javax.swing.BoxLayout(jPanelTBV, javax.swing.BoxLayout.LINE_AXIS));

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanelTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 665, Short.MAX_VALUE)
                    .add(jTextFieldCocktail8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 665, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jButtonCocktailFermer, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 100, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jButtonCocktailPdf, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 100, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.LEADING, jButtonCocktailXls, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 100, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jTextFieldCocktail8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jButtonCocktailFermer))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jButtonCocktailPdf)
                        .add(18, 18, 18)
                        .add(jButtonCocktailXls))
                    .add(layout.createSequentialGroup()
                        .add(jPanelTBV, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 190, Short.MAX_VALUE)
                        .addContainerGap())))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCocktailPdfActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailPdfActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jButtonCocktailPdfActionPerformed

    private void jButtonCocktailFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailFermerActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonCocktailFermerActionPerformed

    private void jButtonCocktailXlsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCocktailXlsActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jButtonCocktailXlsActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JButton jButtonCocktailFermer;
    public javax.swing.JButton jButtonCocktailPdf;
    public javax.swing.JButton jButtonCocktailXls;
    public javax.swing.JPanel jPanelTBV;
    public org.cocktail.application.palette.JTextFieldCocktail jTextFieldCocktail8;
    // End of variables declaration//GEN-END:variables
    
}
